### Constructor

# Gcr SimpleCertificate new

#### Declaration [src]

    GcrCertificate*
    gcr_simple_certificate_new (
      const guchar* data,
      gsize n_data
    )

#### Description [src]

Create a new `GcrSimpleCertificate` for the raw DER data. The `data` memory is copied so you can dispose of it after this function returns.

#### Parameters

`data` | An array of `guchar`
| The raw DER certificate data.
| The length of the array is specified in the `n_data` argument.
| The data is owned by the caller of the function.
`n_data` | `gsize`
| The length of `data`.

#### Return value

Returns: | `GcrSimpleCertificate`
| A new `GcrSimpleCertificate`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.